﻿using XF.Domain.Authentications;
using XF.Domain.Entities;

namespace Hotline.Repository.SqlSugar.DataPermissions;

public interface IDataPermissionManager
{
    DataPermissionScheme GetQueryFilter<TEntity>(ISessionContext sessionContext) where TEntity : class, IEntity<string>, IDataPermission, new();
}